%define url_ver %(echo %{version}|cut -d. -f1,2)

%global __provides_exclude_from %{_libdir}/caja/extensions-2.0/.*\\.so

Name:           python-caja
Version:        1.18.0
Release:        %mkrel 1
Summary:        Python bindings for Caja
License:        GPLv2+ and LGPLv2+
Group:          Development/Python
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  mate-common
BuildRequires:  libtool
BuildRequires:  python-devel
BuildRequires:  pkgconfig(pygobject-3.0)
BuildRequires:  pkgconfig(libcaja-extension) >= 1.17.0

%description
This package contains bindings to write Caja extensions with Python.
It allows writing menu, property pages and column providers extensions,
so that Caja' s functionality can be easily extended.

%prep
%autosetup

%build
%configure2_5x \
	--disable-static
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

# New dir where python extensions get installed. It's not created by make
# install (bgo#638890).
mkdir -p %{buildroot}%{_datadir}/caja-python/extensions

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README
%doc %{_docdir}/python-caja/examples/*.py
%{_libdir}/caja/extensions-2.0/libcaja-python.so
%dir %{_datadir}/caja-python/
%dir %{_datadir}/caja-python/extensions/
%{_datadir}/caja/extensions/libcaja-python.caja-extension
%{_libdir}/pkgconfig/caja-python.pc


%changelog
* Wed Mar 15 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092650
- Update to 1.18.0 version

* Sat Dec 24 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1077051
- new version 1.16.0
- build with gtk3
- disable gtk-doc build

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001548
- Update to 1.14.0 version

* Wed Feb 10 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 953240
- Update to 1.13.0 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898533
-Update to 1.12.0 version

* Sun Oct 11 2015 tarakbumba <tarakbumba> 1.10.0-2.mga6
+ Revision: 889437
- Fix python-caja examples in docdir

* Tue Jun 23 2015 tarakbumba <tarakbumba> 1.10.0-1.mga6
+ Revision: 839940
- Update to 1.10.0 version

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-2.mga5
+ Revision: 745468
- Second Mageia 5 Mass Rebuild

* Wed Oct 08 2014 tarakbumba <tarakbumba> 1.8.1-1.mga5
+ Revision: 737597
- Update to 1.8.1 version
- Drop unneeded configure.ac.in source
- Use autosetup macro in specfile

* Sat Sep 27 2014 tv <tv> 1.8.0-3.mga5
+ Revision: 728117
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-2.mga5
+ Revision: 687914
- Mageia 5 Mass Rebuild

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600123
- Updated to version 1.8.0

* Sat Jan 18 2014 tarakbumba <tarakbumba> 1.6.1-1.mga5
+ Revision: 566793
- Update to bugfix relaese:1.6.1
- imported package python-caja

